Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.ejb.facade
Class CmrAccessorViewRowSet

`java.lang.Object
oracle.jbo.common.PropertiesHelper
oracle.jbo.common.RowSetHelper
oracle.jbo.server.RowSetImpl
oracle.jbo.server.ViewRowSetImpl
oracle.jbo.server.ejb.facade.CmrAccessorViewRowSet`

All Implemented Interfaces:
  NavigatableRowIterator, Properties, RowIterator, RowSet, RowSetIterator, VariableManagerOwner, WSRowSetIteratorMarshaller, WSRowSetMarshaller, XMLInterface, XmlSerializable

public class CmrAccessorViewRowSet
extends ViewRowSetImpl

Field Summary

Fields inherited from class oracle.jbo.server.ViewRowSetImpl
`mDefaultView, mDefaultViewLinkMode, mMasterViews, mParamValues, mQRef, mUserParams, mViewMap, mViews, mWhereParams, VIEWLINK_MODE_CONSISTENT, VIEWLINK_MODE_DEFAULT, VIEWLINK_MODE_INCONSISTENT, VIEWLINK_MODE_UNINITIALIZED`

Fields inherited from class oracle.jbo.common.RowSetHelper
`listeners, mMgmtListeners, mName`

Fields inherited from class oracle.jbo.common.PropertiesHelper
`mProperties`

Fields inherited from interface oracle.jbo.RowSet
`FORWARD_ONLY, RANGE_PAGING, RANGE_PAGING_AUTO_POST, SCROLLABLE`

Fields inherited from interface oracle.jbo.RowIterator
`ITER_MODE_LAST_PAGE_FULL, ITER_MODE_LAST_PAGE_PARTIAL, SLOT_BEFORE_FIRST, SLOT_BEYOND_LAST, SLOT_DELETED, SLOT_VALID`

Fields inherited from interface oracle.jbo.XMLInterface
`XML_IGNORE_DEPTH_COUNT, XML_OPT_ALL_ROWS, XML_OPT_ASSOC_CONSISTENT, XML_OPT_CHANGES_ONLY, XML_OPT_LIMIT_RANGE`

Constructor Summary
`protected` | `CmrAccessorViewRowSet(ViewObjectImpl vo, Row masterRow, boolean isDefaultRS)`

Method Summary
`java.lang.Object[]` | `getParameters(boolean nullValueFlag, Row[] masterRows)`
`protected boolean` | `initQueryCollection(boolean forceFlag, RowFilter rowFilter)` Sets up `QueryCollection` for the view row set.

Methods inherited from class oracle.jbo.server.ViewRowSetImpl
`addListener, addManagementListener, addRowSetManagementListener, cancelQuery, close, closeRowSet, closeRowSetIterator, createAndInitRow, createDetailRowSet, createKey, createRow, createRowSetIterator, defineNamedWhereClauseParam, doesRowFilterMatch, dumpViewRowCache, ensureVariableManager, enumerateRowsInRange, execute, execute, executeDetailQuery, executeEmptyRowSet, executeQuery, findAndSetCurrentRowByKey, findByEntity, findByKey, findByKey, findByViewCriteria, findInCacheByKey, findRowSetIterator, first, getAccessMode, getAllRowsInRange, getApplicationModule, getCliIteratorState, getCollMgmtInfo, getCurrentRow, getCurrentRowIndex, getCurrentRowSlot, getDefaultRowSetIterator, getDetailEstimatedRowCount, getDetailRowSets, getElementTagName, getEstimatedRangePageCount, getEstimatedRowCount, getFetchedRowCount, getFilteredRows, getFilteredRows, getFilteredRowsInRange, getFilteredRowsInRange, getIterMode, getMasterRowSetIterators, getMasterViewRowSetIterators, getMasterViewRowSetIteratorsList, getMessageBundleClass, getNextRangeSet, getParameters, getParametersAsStorageTypes, getParametersAsStorageTypes, getPreviousRangeSet, getProperties, getQueryCollection, getRangeIndexOf, getRangeSize, getRangeStart, getRow, getRow, getRowAtRangeIndex, getRowCount, getRowCountInRange, getRowFilterValues, getRowFromHandle, getRows, getRowSet, getRowSetIterator, getRowSetIterators, getSyncLock, getVariableManager, getViewLinkMode, getViewObject, getWhereClauseParams, hasDefaultRowSetIterator, hasNext, hasPrevious, hasVariables, insertRow, insertRowAt, insertRowAtRangeIndex, isAssociationConsistent, isDefaultRS, isDirty, isExecuted, isFetchComplete, isForwardOnly, isMaxFetchSizeExceeded, isNameGenerated, isNotifiedRefresh, isPassivationEnabled, isRangeAtBottom, isRangeAtTop, isRangePaging, isRowValidation, isScrollable, last, makeRowCopy, next, prepareForBatchMode, previous, printActiveObjsTab, printColl, printRUChain, readXML, readXML, refreshCache, refreshCollection, refreshWhereClauseParams, removeCurrentRow, removeCurrentRowAndRetain, removeCurrentRowFromCollection, removeListener, removeManagementListener, removeMasterRowSetIterator, removeNamedWhereClauseParam, removeRowAndRetainAt, removeRowAt, removeRowFromCollectionAt, removeRowHandle, removeRowSetManagementListener, reset, scrollRange, scrollRangeTo, scrollToRangePage, setAccessMode, setAssociationConsistent, setCollectionForRowFilter, setCurrentRow, setCurrentRowAtRangeIndex, setExecuteParameters, setForwardOnly, setIterMode, setMasterRowSetIterator, setNamedWhereClauseParam, setOwnedByQC, setPassivationEnabled, setPassivationEnabledInternal, setRangeSize, setRangeStart, setReceiveAllInsertEvents, setRowFilterValues, setRowValidation, setViewLinkMode, setWhereClauseParam, setWhereClauseParams, skipNamedWhereClauseParam, writeAsXml, writeXML, writeXML, writeXML, writeXML`

Methods inherited from class oracle.jbo.common.RowSetHelper
`fireMgmtIteratorClosed, fireMgmtIteratorReset, fireNavigationEvent, fireRangeRefreshed, fireRangeScrolled, fireRowDeleted, fireRowInserted, fireRowUpdated, getListeners, getListenersList, getManagementListenersList, getName, hasListeners, hasManagementListeners, setName, updateNamedWhereParamValues`

Methods inherited from class oracle.jbo.common.PropertiesHelper
`getProperty, refreshProperty, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.RowSet
`getName`

Methods inherited from interface oracle.jbo.Properties
`getProperty, refreshProperty`

Methods inherited from interface oracle.jbo.XMLInterface
`readXML, readXML, writeXML, writeXML, writeXML, writeXML`

Constructor Detail

### CmrAccessorViewRowSet

    protected CmrAccessorViewRowSet(ViewObjectImpl vo,
                                    Row masterRow,
                                    boolean isDefaultRS)

Method Detail

### initQueryCollection

    protected boolean initQueryCollection(boolean forceFlag,
                                          RowFilter rowFilter)

  Description copied from class: `ViewRowSetImpl`
  Sets up `QueryCollection` for the view row set.
  Overrides:
    `initQueryCollection` in class `ViewRowSetImpl`
  Parameters:
    `forceFlag` - indicates whether to force-create the query collection or not. If this flag is false, we try to find an existing in the query collection list (of the View Object). If it is true, we do not bother with existing QCs.
    `rowFilter` - filter to initialize the query collection.
  Returns:
    indicates whether a new query collection was created or not.

### getParameters

    public java.lang.Object[] getParameters(boolean nullValueFlag,
                                            Row[] masterRows)

  Overrides:
    `getParameters` in class `ViewRowSetImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.